Subject: Re: [PATCH v2 4/7] i18n: builtin/pull.c: mark strings for translation

From: Jean-Noël Avila <[email-masked]>
Date: Fri, 29 Apr 2016 08:57:50 +0200

Le 12/04/2016 11:52, Duy Nguyen a écrit :
>
> Ex-translator speaking. Context is important. If it's me, I would even
> go as far as marking the whole line translatable just to give more
> context (it's mostly just copy and translate a few words then). But
> then again, I was half developer half translator and may see things a
> bit differently. Maybe _("<remote>") is a good balance.

I second this opinion. Translating a single word without context is
generally not advised. The english word might come up in different
situations with different grammatical forms for the translated version.

Adding the brackets provides enough context, as long as the string is
always used in the same semantic field, describing the command line. I
just don't know how much that helps reducing the amount of translated
strings.

JN